<?php namespace Myriad\Queue\Drivers\Google;

use Illuminate\Support\ServiceProvider;
use Myriad\Queue\Drivers\Google\Commands\ConsumeQueueCommand;

class PubSubQueueServiceProvider extends ServiceProvider {

  /**
   * Register the service provider.
   *
   * @return void
   */
  public function register() {
    $this->commands([
      ConsumeQueueCommand::class
    ]);
  }

  /**
   * Register the application's event listeners.
   * Publish config file
   *
   * @return void
   */
  public function boot() {
    $this->app['queue']->addConnector('google', function() {
      return new PubSubQueueConnector;
    });
  }

}

